Subject: Re: [PATCH 0/5] Remove acpi.h implicit include of of.h

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 30 Mar 2023 08:13:51 +0200

On Wed, Mar 29, 2023 at 04:20:41PM -0500, Rob Herring wrote:
> In the process of cleaning up DT includes, I found that some drivers 
> using DT functions could build without any explicit DT include. I traced 
> the include to be coming from acpi.h via irqdomain.h.
> 
> I was pleasantly surprised that there were not 100s or even 10s of 
> warnings when breaking the include chain. So here's the resulting 
> series.
> 
> I'd suggest Rafael take the whole series. Alternatively,the fixes can be 
> applied in 6.4 and then the last patch either after rc1 or the 
> following cycle.
> 
> Signed-off-by: Rob Herring <[email-masked]>

Nice cleanup, all are:

Reviewed-by: Greg Kroah-Hartman <[email-masked]>